import React from "react";
import PropTypes from "prop-types";
import TrailingSlashCard from "./trailingSlash/TrailingSlashCard";
import PathOverwriteComponent from "./PathOverwriteComponent";
import PathInjectionCard from "./pathInjection/PathInjectionCard";
import KeyOverwriteCard from "./keyOverwrite/KeyOverwriteCard";

const ForwardOptionsAdvancedComponent = ({ options }) => {
  return (
    <>
      {options.trailingSlash && (
        <TrailingSlashCard enabled={options.trailingSlash} />
      )}
      {options.pathOverwrite && (
        <PathOverwriteComponent data={options.pathOverwrite} />
      )}
      {options.pathInjection && (
        <PathInjectionCard data={options.pathInjection} />
      )}
      {options.keyOverwrite && <KeyOverwriteCard data={options.keyOverwrite} />}
    </>
  );
};

ForwardOptionsAdvancedComponent.propTypes = {
  options: PropTypes.object.isRequired
};

export default ForwardOptionsAdvancedComponent;
